:root{    
    --primary: rgba(61, 181, 75, 1);
    --secundary: rgba(0, 165, 79, 1);
}

* {
   margin: 0;
   padding: 0;
   font-family: 'Libre Franklin', sans-serif;
}

html , body {
   height: 100%;
   width: 100%;
}

.container-page { 
   height: 100%;
   width: 100%;
   display: flex;
   flex-direction: column;
}

/* -------------------------- navbar-page (start) --------------------- */

.main-page {
    flex-grow: 1;
}

.header-page {
    background-color:   var(--primary);
    height: 12%;
    width: 100%;
}

nav {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
}

nav .navtop {
    display: flex;
    justify-content: center;
    align-items: center;
}

.navtop .navTopLeft {
    display: flex;
    color: white;
    border-left: 1px dotted white ;
}

nav .navdotted {
    height: 100%;
    border-left: white 2px solid;
}

.navTopLeft .navtext .navtext-title {
    font-size: 3vw;
}

.navtext .navtext-money {
    font-size: 5vw;
    font-weight: 900;
}

/* -------------------------- navbar-page (end) ----------------------- */

/* -------------------------- main page (start)------------------------ */

.personal-details p {
    font-size: 4vw;
    font-weight: 900;
    color: var(--primary);
}

.profile-info {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    overflow: hidden;
    object-fit: cover;
}

.profile-info .profile-pic {
    font-size: 90px;
    padding-top: 15px;
    color: var(--primary);
}

form {
    width: 100%;
}

form .input-data {
    height: 50px;
    width: 100%;
    position: relative;
    margin-top: 10px;
}

form .input-data input {
    height: 50px;
    width: 100%;
    border: none;
    font-size: 30px;
    border-bottom:2px dotted var(--primary);
}

.input-data input:focus ~ label {
    transform: translateY(-24px);
    font-size: 17px;
    color: var(--primary);
}

form .input-data label {
    position: absolute;
    font-size: 24px;
    bottom: 5px;
    left: 10px;
    color: gray;
    pointer-events: none;
    transition: all 0.3s ease;
}

.input-data .underline {
    position: absolute;
    bottom: 0;
    height: 2px;
    width: 100%;
}

form .input-data .underline:before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: var(--secundary);
    transform: scaleX(0);
    transition: all 0.3s ease;
}

.input-data input:focus ~ .underline:before {
    transform: scaleX(1);
}

.phone-number {
    margin-top: 10px;
    display: flex;
}

.phone-select {
    margin-top: 10px;
}

.phone-number .phone-numbers {
    width: 100%;
    margin-top: 0;
}

form .phone-numbers {
    height: 32px;
    width: 100%;
    position: relative;
}

form .phone-numbers input {
    height: 35px;
    width: 100%;
    margin-top: 10px;
    border: none;
    font-size: 20px;
    border-bottom:2px dotted var(--primary);
}

.phone-number .phone-numbers input:focus ~ label {
    transform: translateY(-20px);
    font-size: 15px;
    color: var(--primary);
}

form .phone-number .phone-numbers label {
    position: absolute;
    font-size: 20px;
    bottom: -10px;
    left: 10px;
    color: gray;
    pointer-events: none;
    transition: all 0.3s ease;
}

.phone-numbers .underline {
    position: absolute;
    bottom: -13px;
    height: 2px;
    width: 100%;
}

form .phone-numbers .underline:before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: var(--secundary);
    transform: scaleX(0);
    transition: all 0.3s ease;
}

.phone-numbers input:focus ~ .underline:before {
    transform: scaleX(1);
}

.phone-number .select-box {
    position: relative;
    display: flex;
    width: 28%;
    height: 35px;
    flex-direction: column;
    display: flex;
    align-items: center;
    border-bottom: 2px dotted var(--primary);
}
  
.phone-number .select-box .options-container {
    font-size: 10px;
    font-weight: 700;
    max-height: 0;
    width: 100%;
    opacity: 0;
    transition: all 0.4s;
    border-radius: 8px;
    overflow: hidden;
    order: 1;
    position: absolute;
    z-index: 100;
}
  
.phone-number .selected {
    display: flex;
    width: 100%;
    border-radius: 0px;
    margin-bottom: 8px;
    padding-right: 15px;
    position: relative;
    font-size: 12px;
    order: 0;
}
  
.phone-number .selected::after {
    content: "";
    background: url("../assets/arrow-down.png");
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    height: 100%;
    width: 10px;
    right: 5px;
    top: 10px;
    transition: all 0.4s;
}
  
.phone-number .select-box .options-container.active {
    max-height: 240px;
    opacity: 1;
    overflow-y: scroll;
    margin-top: 35px;
}
  
.phone-number .select-box .options-container.active + .selected::after {
    transform: rotateX(180deg);
    top: -10px;
}
  
.phone-number .select-box .options-container::-webkit-scrollbar {
    width: 8px;
    border-radius: 8px 8px 8px 8px;
}
  
.phone-number .select-box .options-container::-webkit-scrollbar-thumb {
    border-radius: 8px 8px 8px 8px;
}
  
.phone-number .select-box .option,
.phone-number .selected {
    padding: 5px 24px 5px 0;
    cursor: pointer;
}
  
.phone-number .select-box label {
    cursor: pointer;
}
  
.phone-number .select-box .option .radio {
    display: none;
}

.phone-number .country-flag {
    width: 15px;
    height: 13px;
    margin-top: 2px;
}

  .select-box {
    position: relative;
    display: flex;
    width: 100%;
    flex-direction: column;
  }
  
.select-box .options-container {
    background: rgb(243, 253, 244);
    color: rgba(83, 83, 83, 0.767);
    max-height: 20px;
    width: 100%;
    opacity: 0;
    transition: all 0.4s;
    border-radius: 8px;
    overflow: hidden;
    order: 1;
    position: absolute;
    z-index: 100;
  }


  
.selected {
    background: #ffffff;
    margin-bottom: 8px;
    color: rgba(83, 83, 83, 0.767);
    border-bottom: 2px dotted var(--primary);
    order: 0;
  }
  
.selected::after {
    content: "";
    background: url("../assets/arrow-down.png");
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    height: 100%;
    width: 12px;
    right: 10px;
    top: 10px;
    transition: all 0.4s;
  }
  
.select-box .options-container.active {
    max-height: 240px;
    opacity: 1;
    overflow-y: scroll;
    margin-top: 50px;
  }

.select-box .options-container.active + .selected::after {
    transform: rotateX(180deg);
    top: -15px;
}
  
.select-box .options-container::-webkit-scrollbar {
    width: 8px;
    background: rgba(61, 181, 75, 0.37);
    border-radius: 8px 8px 8px 8px;
    height: 20px;
  }
  
.select-box .options-container::-webkit-scrollbar-thumb {
    background: var(--secundary);
    border-radius: 8px 8px 8px 8px;
  }

.select-box .option,
.selected {
    padding: 10px 0px;
    cursor: pointer;
    padding: 5px;
  }
  
.select-box .option:hover {
    background: var(--primary);
    color: white;
  }
  

.select-box label {
    cursor: pointer;
  }
  
.select-box .option .radio {
    display: none;
  }
  
  .custom-button {
    background-color: var(--primary);
    border: none;
    text-decoration: none;
    color: white;
    font-size: 18px;
    padding: 1vw 0.1vw;
    align-items: center;
    width: 45%;
  }

.file-area div {
    margin: 0px;
    border: 2px solid var(--primary);
    width: 60%;
    height: 50px;
    display: flex;
    align-items: center;
    margin-left: 2px;
    overflow-x: hidden;
}

.custom-text {
    font-size: 15px;
    margin-left: 2px;
    padding: 1vw 1vw;
    overflow-y: hidden;
    width: 100%;
    margin-bottom: 5px;
}

.button button {
    width: 100%;
    height: 9vw;
    font-size: 4vw;
    background-color: var(--secundary);
    border: none;
    color: white;
    transition: all 0.2s ease-in-out;
}

.button button:focus {
    background-color: var(--primary);
}

/* -------------------------- main page (end)-------------------------- */

/* -------------------------- footer-page (start) --------------------- */

.footer {
    border-top: 2px dotted var(--primary) ;
    height: 12%;
    color: black;
}

footer a{
    text-decoration: none;
    color: black;
    font-size: 15px;
    transition: all 0.2s ease-in-out;
    display: flex;
    justify-content: center;
    align-items: center;
}

footer {
    display: flex;
    justify-content: center;
}

footer a img {
    width: 5vw;
    height: 5vw;
}

footer a p {
    color: var(--primary);
    font-size: 4vw;
    font-weight: 700;
}

.footer footer a{
    transition: all 0.2s ease-in-out;
}

.footer footer a:focus {
    transform: translateX(-15px);
}

/* -------------------------- footer-page (end) ----------------------- */